%def_enable shared
%def_enable static
%def_with pic

%def_enable libdvdcss

Name: libdvdnav
Version: 0.1.10
Release: alt3
Summary: DVD Navigation library
Summary(ru_RU.CP1251):    DVD
License: GPL
Group: System/Libraries
URL: http://dvd.sourceforge.net/
Source: %name-%version.tar.bz2
Patch0: %name-0.1.10-dvdcss.patch
Patch1: %name-0.1.10-alt-tmpdir.patch

BuildRequires: common-licenses doxygen gcc-c++
%{?_enable_libdvdcss:BuildRequires: libdvdcss-devel}

%description
%name is a library that allows easy use of sophisticated DVD
navigation features such as DVD menus, multiangle playback and even
interactive DVD games.

%description -l ru_RU.CP1251
%name    
  DVD,   ,    
    DVD-.


%package devel
Summary: Development environment for %name
Group: Development/C
Requires: %name%{?_disable_shared:-devel-static} = %version-%release

%description devel
%name provides support to applications wishing to make use of DVD
navigation features.
This package contains development files you can use to develop
applications.


%if_enabled static
%package devel-static
Summary: Static %name
Group: Development/C
Requires: %name = %version-%release

%description devel-static
%name provides support to applications wishing to make use of DVD
navigation features.
This package contains static %name.
%endif


%prep
%setup -q
%patch0 -p1
%patch1 -p1
ln -sf %_licensedir/LGPL-2 COPYING


%build
./autogen.sh noconfig
%configure \
    %{subst_with pic} \
    %{subst_enable shared} \
    %{subst_enable static} \
    %{subst_enable libdvdcss}

%make_build
%make_build -C doc docs


%install
#makeinstall includedir=%buildroot%_includedir/dvdnav
%make_install DESTDIR=%buildroot install
gzip --best --stdout ChangeLog > ChangeLog.gz


%if_enabled shared
%post -p %post_ldconfig
%postun -p %postun_ldconfig
%endif


%if_enabled shared
%files
%doc --no-dereference AUTHORS COPYING README TODO
%_libdir/*.so.*
%endif


%files devel
%{?_disable_shared:%doc --no-dereference AUTHORS COPYING README TODO}
%doc ChangeLog.gz doc/html
%_bindir/*
%_libdir/*.so
%_includedir/*
%_datadir/aclocal/*


%if_enabled static
%files devel-static
%_libdir/*.a
%endif


%changelog
* Fri Jan 26 2007 Led <led@altlinux.ru> 0.1.10-alt3
- added %name-0.1.10-alt-tmpdir.patch
- cleaned up spec
- built with libdvdcss

* Wed Feb 08 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.10-alt2
- Fixed header installation directory
- Run autogen.sh before configure

* Sun Oct 23 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.10-alt1
- 0.1.10
- Spec cleanup
- Added boilerplate files to the doc list

* Thu Aug 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.1.9-alt1
- new version.

* Sun Apr 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.1.7-alt1
- new version.

* Fri Oct 18 2002 Rider <rider@altlinux.ru> 0.1.3-alt2
- Russian summary
- rebuild (gcc 3.2)

* Mon Aug 05 2002 Rider <rider@altlinux.ru> 0.1.3-alt1
- 0.1.3

* Sat Jun 01 2002 Rider <rider@altlinux.ru> 0.1.1-alt1
- 0.1.1

* Tue Apr 30 2002 Rider <rider@altlinux.ru> 0.1.0-alt1
- first build
